Subject: [Sip] Missing Phrase In RFC 3261 Sec. 23.2 (S/MIME)?

From: "Tom-PT Taylor" <[email-masked]>
Date: Fri, 9 Aug 2002 11:13:48 -0400

Section 23.2 of RFC 3261 has this text:

When a UAC sends a request containing an S/MIME body that initiates a
   dialog, or sends a non-INVITE request outside the context of a
   dialog, the UAC SHOULD structure the body as an S/MIME [sic, no period]

Later this text appears:

When a UAS sends a response containing an S/MIME body that answers
   the first request in a dialog, or a response to a non-INVITE request
   outside the context of a dialog, the UAS SHOULD structure the body as
   an S/MIME 'multipart/signed' CMS SignedData body.

Should the UAC requirement have been the same as the UAS requirement?

Tom Taylor
[email-masked]
Ph. +1 613 736 0961 (ESN 396 1490)